Summary: Admin scripts for Hybrilit cluster
Name: hlit-admin
Version: 1.2.2
Release: 0
Source0: http://hybrilit.jinr.ru/%{name}-%{version}.tar.gz
BuildArch: noarch
Group: Applications/System
License: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Admin scripts for Hybrilit cluster

%package slurm
Summary:    Admin slurm scripts for Hybrilit cluster
Group:      Development/Libraries

%description slurm
Admin slurm scripts for Hybrilit cluster

%package ipa
Summary:    Admin ipa scripts for Hybrilit cluster
Group:      Development/Libraries
Requires: ipa-client openldap-clients

%description ipa
Admin ipa scripts for Hybrilit cluster

%package alibuild
Summary:    Admin alibuild scripts for Hybrilit cluster
Group:      Development/Libraries

%description alibuild
Admin alibuild scripts for Hybrilit cluster

%prep
%setup -q

%build
echo "Nothing to build"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sysconfdir}/hlit
install -D bin/* $RPM_BUILD_ROOT%{_bindir}/
install -D etc/hlit/* $RPM_BUILD_ROOT%{_sysconfdir}/hlit/

%files
%{_bindir}/hlit-xcat
%{_bindir}/hlit-x2go

%files slurm
%{_bindir}/hlit-slurm-group-sync

%files ipa
%{_bindir}/hlit-ipa*
%{_sysconfdir}/hlit/*

%files alibuild
%{_bindir}/hlit-alibuild*

%changelog

